$('S_Count').onkeyup=CheckInt;

//生成XML
function checkOther()
{
	var b_error=false;
	
	
	var s_ret="";
	
	for(i=0;i<$('frmitem').elements.length;i++)
	 {
	 		var obj=$('frmitem').elements[i];
	 		
	 		switch(obj.type)
	 		{
	 			case "textarea":
	 			{
	 				var s_name="";
	 				
	 				if(obj.id.search("XML")==-1)
	 				{
		 			  $('spn'+obj.id).innerHTML="";
		 			  
		 				if(obj.id.search("key")!=-1)
		 				{
		 					s_ret+="<Item><Key>"+obj.value+"</Key>"; //增加关键词
		 					s_name="关键词";
		 				}
		 				else if(obj.id.search("detail")!=-1)
		 				{
		 					s_ret+="<Description>"+obj.value+"</Description></Item>"; //增加描述
		 					s_name="描述";
		 				}	
		 				
		 				if(obj.value=="")
		 				{
		 					b_error=true;
		 					$('spn'+obj.id).innerHTML="<br />"+s_name+"不能为空！";
		 				}	
		 			}	
	 				
	 				break;
	 			}
	 		}	
   }
   
  //debugger;
   
  $('S_XML').value=s_ret;
	
	$('spn_S_CID').innerHTML="";
	if($('S_CID').value=="")
	{
		$('spn_S_CID').innerHTML="<br />信息标题不能为空！";
		b_error=true;
	}
	
	return b_error;
}


//生成表格
var i_rows=0;//parseInt($('S_Count').value);
function BuildTable()
{
	//debugger;
	var i_value=parseInt($('S_Count').value);
	
	 if(i_rows>i_value)
	 {
	   	//内容减少了
	 	  if(!confirm("天数减少会丢失数据，是否继续？"))
	 	  {
	 	  	$('S_Count').value=i_rows;
	 	  	return ;
	 	  }
	 	  
	 	  //删除
	 	  var i_total=i_rows-i_value;
	 	  for(i=0;i<i_total*2;i++)
	 	  {
	 	  	$('itemtable').deleteRow($('itemtable').rows.length-2);
	 	  	
	 	  }
	 	  
	 }
	 else if(i_rows<i_value)
	 {
	 		//删除控制行
	 		$('itemtable').deleteRow($('itemtable').rows.length-1);
	 		
	 		
	 		var o_tr,o_td;
	 		for(i=i_rows;i<i_value;i++)
	 		{
	 			o_tr=$('itemtable').insertRow();
		 		o_td=o_tr.insertCell();
		 		
		 		o_td.innerHTML="第"+(i+1)+"项关键词";
		 		o_td.className="tright";
		 		
		 		
		 		o_td=o_tr.insertCell();
		 		
		 		o_td.innerHTML="<textarea cols='50' rows='5' class='inputbox bred' id='key"+i+"' ></textarea><br />每行一个关键词。"+$('div452').innerHTML+"<span class=\"red\"  id=\"spnkey"+i+"\"></span>";
		 		o_td.className="tleft";
		 		
		 		o_tr=$('itemtable').insertRow();
		 		o_td=o_tr.insertCell();
		 		o_td.innerHTML="自定义信息：";
		 		o_td.vAlign="top";
		 		o_td.className="tright";
		 		o_td.style.borderBottom ="solid 1px #cccccc";
		 		
		 		o_td=o_tr.insertCell();
		 		o_td.innerHTML="<textarea cols='50' rows='5' class='inputbox bred' id='detail"+i+"' ></textarea><br />能够吸引人的描述，支持HTML。"+$('div453').innerHTML+"<span class=\"red\"  id=\"spndetail"+i+"\"></span>";;
		 		o_td.className="tleft";
		 		
		 		o_td.style.borderBottom ="solid 1px #cccccc";
		 	}	
		 	
		 	o_tr=$('itemtable').insertRow();
		 	o_td=o_tr.insertCell();
		 	o_td.align='center';
		 	o_td.colSpan="2";
		 	o_td.innerHTML='<input value=" 保存 " name="butsave" type="submit" class="button" />&nbsp; <input value=" 重置 " name="butreset" type="reset" class="button" /> &nbsp; <input value=" 返回 " name="butreturn"  type="button" onclick="ReturnPage(0)" class="button" />';
	 }
	 
	 i_rows=i_value;	 
}


function LoadBody()
{
	$('itemtable').deleteRow($('itemtable').rows.length-1);
	 		
	BuildTable();
	
	GetXML();
	
}

//读取XML到内容里面
function GetXML()
{
	var s_xml=$('S_XML').value;
	
	if(s_xml=="")
		return ;
	
  var m_items = s_xml.match(/<Item>((.|\n)*?)<\/Item>/gi)
	
	for (var i=0;i < m_items.length ; i++)
	{
		var s_value="";
		s_value=m_items[i].match(/<Key>((.|\n)*?)<\/Key>/gi)[0];
		$('key'+i).value=s_value.replace(/<\/?(Key)>/gi,"");
		
		s_value=m_items[i].match(/<Description>((.|\n)*?)<\/Description>/gi)[0];
		$('detail'+i).value=s_value.replace(/<\/?(Description)>/gi,"");;
		
	}
	
}

function GetTitle()
{
	popup_open("/admin/getcontent/default.aspx?tp=5&nid=0","选择内容",510,465);
}

function SetItem(o_con)
{
	//debugger;
	var i_add=0;
	
	for(var o in o_con)
  {
  	if(i_add==0)
  	{
  		$('S_CID').value=o;
  		$('spntitle').innerHTML="<a href='/content.aspx?id="+o+"' target='_blank'>"+o_con[o].name+"</a>";
  	}
  	
  	i_add++;	
  }
  
  if(i_add>1)
  {
  	alert("每次只能选择一条内容！");
  }
}